Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRWork/FrmDRWorkList.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRWork/FrmDRWorkList.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRWork/FrmDRWorkList.cs	(revision 83)
@@ -0,0 +1,454 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Collections;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Linq;
+using System.Text;
+using System.Threading.Tasks;
+using System.Windows.Forms;
+
+using log4net;
+using log4net.Appender;
+using log4net.Repository.Hierarchy;
+
+using ProcessManagement.Common;
+using ProcessManagement.DB.IOAccess;
+using ProcessManagement.DataModel;
+using ProcessManagement.DB.Core;
+using ProcessManagement.Forms.Master;
+using ProcessManagement.Forms.SubForms;
+using ProcessManagement.Forms.ControlsAction;
+using ProcessManagement.Forms.CustomControls;
+
+//*---------------------------- 出勤管理一覧画面 ------------------------------*
+//  2017/03/04  Ver1.0.0.0      Create Source           
+//
+//
+//
+//*----------------------------------------------------------------------------*
+namespace ProcessManagement.Forms.DataEntry
+{
+    public partial class FrmDRWorkList : Form
+    {
+        #region ログ使用定義
+        //log4netログを使用する
+        private static readonly log4net.ILog logger = log4net.LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        #region 出勤日報グリッドカラム
+        /// <summary>
+        /// 出勤日報グリッドカラム
+        /// </summary>
+        private enum GridColumn01
+        {
+            DispDay = 0,
+            AttendanceDate,
+            WeekString,
+            ConstructionCode,
+            ConstructionName,
+            OverTimes,
+            Comment,
+        }
+        #endregion
+
+        #region 通勤交通費グリッドカラム
+        /// <summary>
+        /// 通勤交通費グリッドカラム
+        /// </summary>
+        private enum GridColumn02
+        {
+            DispDay = 0,
+            AttendanceDate,
+            StartNumber,
+            CompNumber,
+            TotalDistance,
+            OfficeGo,
+            OfficeOut,
+            TrancePayGo,
+            TrancePayOut,
+            WareHouse,
+        }
+        #endregion
+
+        #region 表示コントロール
+        /// <summary>
+        /// 表示コントロール
+        /// </summary>
+        private enum DspCtrlName
+        {
+            /// <summary>
+            /// 部署名
+            /// </summary>
+            DepartmentName = 0,
+            /// <summary>
+            /// 担当者名
+            /// </summary>
+            PersonName,
+            /// <summary>
+            /// 日報年月
+            /// </summary>
+            ConstructionYear,
+            /// <summary>
+            /// 日報開始日
+            /// </summary>
+            ConstructionDayFrom,
+            /// <summary>
+            /// 日報終了日
+            /// </summary>
+            ConstructionDayTo,
+            /// <summary>
+            /// 出勤日数
+            /// </summary>
+            WorkingDays,
+            /// <summary>
+            /// 残業時間
+            /// </summary>
+            Overtime,
+
+            KmTodayTotal,
+            OfficeTodayCnt01,
+            OfficeTodayCnt02,
+            TrancePayCnt01,
+            TrancePayCnt02,
+            WarehouseTodayCnt01,
+            KmMonthTotal01,
+            KmMonthTotal02,
+            KmMonthTotal03,
+            UnitPrice01,
+            UnitPrice02,
+            UnitPrice03,
+            UnitPrice04,
+            MonthCnt01,
+            MonthCnt02,
+            MonthCnt03,
+            MonthTotal01,
+            MonthTotal02,
+            MonthTotal03,
+            MonthTotal04,
+            MonthTotal05,
+        }
+        #endregion
+
+        /// <summary>
+        /// グリッド表示行数
+        /// </summary>
+        private const int s_GridDispLine = 5;
+        /// <summary>
+        /// 自画面幅
+        /// </summary>
+        private const int s_MyWidth = 812;
+        /// <summary>
+        /// 自画面高さ
+        /// </summary>
+        private const int s_MyHeight = 720;
+
+        #endregion
+
+        #region 変数
+
+        /// <summary>
+        /// 初期時フラグ
+        /// </summary>
+        private bool m_initDataLoad = true;
+
+        /// <summary>
+        /// 起動フラグ
+        /// </summary>
+        private int m_ExecuteFlg = 0;
+
+        /// <summary>
+        /// 担当者コード
+        /// </summary>
+        private int m_PersonCode = 0;
+
+        /// <summary>
+        /// 対象年月
+        /// </summary>
+        private string m_ReportDate = string.Empty;
+
+        /// <summary>
+        /// アクセス制限フラグ
+        /// </summary>
+        private bool m_EditLock = false;
+
+        /// <summary>
+        /// 表示位置
+        /// </summary>
+        private Point m_LocationPoint = new Point();
+
+        #endregion
+
+        #region プロパティ
+        /// <summary>
+        /// 起動フラグ
+        /// </summary>
+        public int ExecuteFlg
+        {
+            get { return m_ExecuteFlg; }
+            set { m_ExecuteFlg = value; }
+        }
+
+        /// <summary>
+        /// 担当者番号
+        /// </summary>
+        public int PersonCode
+        {
+            get { return m_PersonCode; }
+            set { m_PersonCode = value; }
+        }
+
+        /// <summary>
+        /// 対象年月
+        /// </summary>
+        public string ReportDate
+        {
+            get { return m_ReportDate; }
+            set { m_ReportDate = value; }
+        }
+
+        /// <summary>
+        /// アクセス制限フラグ
+        /// </summary>
+        public bool EditLock
+        {
+            get { return m_EditLock; }
+            set { m_EditLock = value; }
+        }
+
+        /// <summary>
+        /// 表示位置
+        /// </summary>
+        public Point LocationPoint
+        {
+            get { return m_LocationPoint; }
+            set { m_LocationPoint = value; }
+        }
+        #endregion
+
+        #region コンストラクタ
+        /// <summary>
+        /// コンストラクタ
+        /// </summary>
+        public FrmDRWorkList()
+        {
+            InitializeComponent();
+        }
+        #endregion
+
+        #region フォームロード
+        /// <summary>
+        /// フォームロード
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmPersonApprovalList_Load(object sender, EventArgs e)
+        {
+            try
+            {
+                // フォームサイズ固定
+                this.MaximizedBounds = new Rectangle(this.Left, this.Top, this.Width, this.Height);
+
+                // フォーム表示位置セット
+                Point po = new Point(m_LocationPoint.X + 20, m_LocationPoint.Y + 20);
+                this.Location = po;
+
+                // 対象年度のセット
+                SetActionMonthly();
+                comboBox1.SelectedValue = m_ReportDate;
+
+                // 初期表示
+                InitDataLoad();
+
+                m_initDataLoad = false;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 終了ボタンクリック
+        /// <summary>
+        /// 終了ボタンクリック
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnEnd_Click(object sender, EventArgs e)
+        {
+            this.Close();
+        }
+        #endregion
+
+        #region ×ボタン
+        /// <summary>
+        /// ×ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmPersonApprovalList_FormClosing(object sender, FormClosingEventArgs e)
+        {
+            try
+            {
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 対象年度のセット
+        /// <summary>
+        /// 対象年度のセット
+        /// </summary>
+        private void SetActionMonthly()
+        {
+            IOCostDataOfPerson CostDB = new IOCostDataOfPerson();
+            try
+            {
+                comboBox1.DataSource = null;
+
+                // 存在月を出勤データより取得する
+                string strSQL = "SELECT TO_CHAR(ATTENDANCEDATE,'YYYY/MM'), COUNT(*) FROM ATTENDANCEDAILYDATA GROUP BY TO_CHAR(ATTENDANCEDATE,'YYYY/MM') ORDER BY 1";
+                ArrayList arList = new ArrayList();
+                CostDB.ExecuteReader(strSQL, ref arList);
+
+                List<KeyValuePair<string, string>> DataList = new List<KeyValuePair<string, string>>();
+                foreach (object[] wrkobj in arList)
+                {
+                    KeyValuePair<string, string> keyval = new KeyValuePair<string, string>(wrkobj[0].ToString(), (wrkobj[0].ToString().Replace("/", "年") + "月"));
+                    DataList.Add(keyval);
+                }
+
+                // 当月を作成する
+                string ToMonth = string.Format("{0}/{1}", DateTime.Now.Year, DateTime.Now.Month.ToString("00"));
+                // 当月を追加するかの判断
+                if (arList.Count == 0 || !DataList[DataList.Count - 1].Key.Equals(ToMonth))
+                {
+                    KeyValuePair<string, string> keyval = new KeyValuePair<string, string>(ToMonth, (ToMonth.ToString().Replace("/", "年") + "月"));
+                    DataList.Add(keyval);
+                }
+                // 来月の追加判定(25日過ぎは来月の追加をする)
+                if (DateTime.Now.Day > 25)
+                {
+                    DateTime dtNext = DateTime.Now.AddMonths(1);
+                    string NextMonth = string.Format("{0}/{1}", dtNext.Year, dtNext.Month.ToString("00"));
+                    KeyValuePair<string, string> keyval = new KeyValuePair<string, string>(NextMonth, (NextMonth.ToString().Replace("/", "年") + "月"));
+                    DataList.Add(keyval);
+                }
+
+                ComboBoxAction.InitDataSetCombBox(comboBox1, DataList);
+                comboBox1.SelectedValue = ToMonth;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                CostDB.close(); CostDB = null;
+            }
+        }
+        #endregion
+
+        int comboBox1_index = -1;
+        #region 対象年月コンボボックス変更前取得
+        /// <summary>
+        /// 対象年月コンボボックス変更前取得
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void comboBox1_Enter(object sender, EventArgs e)
+        {
+            comboBox1_index = comboBox1.SelectedIndex;
+        }
+        #endregion
+
+        #region 対象年月コンボボックス変更
+        /// <summary>
+        /// 対象年月コンボボックス変更
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void comboBox1_SelectedIndexChanged(object sender, EventArgs e)
+        {
+            if (m_initDataLoad) return;
+
+            // データ表示
+            InitDataLoad();
+        }
+        #endregion
+
+        #region 初期表示
+        /// <summary>
+        /// 初期表示
+        /// </summary>
+        private void InitDataLoad()
+        {
+            IOAttendanceDailyData AttDayDB = new IOAttendanceDailyData();
+            try
+            {
+                string strSQL = "SELECT B.DEPARTMENTCODE, B.DEPARTMENTSTRING, A.PERSONCODE, A.PERSONNAME, C.CNT, D.CNT, E.APPROVALSTATUS";
+                strSQL += " FROM PERSONINCHARGEMASTER A";
+                strSQL += " LEFT JOIN DEPARTMENTMASTER B ON B.DEPARTMENTCODE = A.DEPARTMENTCODE";
+                strSQL += " LEFT JOIN (SELECT CX.PERSONCODE, COUNT(*) CNT FROM ATTENDANCEDAILYDATA CX";
+                strSQL += string.Format(" WHERE TO_CHAR(CX.AttendanceDate, 'YYYY/MM') = '{0}' GROUP BY CX.PERSONCODE) C ON C.PERSONCODE = A.PERSONCODE", m_ReportDate);
+                strSQL += " LEFT JOIN (SELECT DX.PERSONCODE, COUNT(*) CNT FROM TRANCEPORTDAILYDATA DX";
+                strSQL += string.Format(" WHERE TO_CHAR(DX.AttendanceDate, 'YYYY/MM') = '{0}' GROUP BY DX.PERSONCODE) D ON D.PERSONCODE = A.PERSONCODE", m_ReportDate);
+                strSQL += " LEFT JOIN PERSONAPPROVAL E ON E.PERSONCODE = A.PERSONCODE";
+                strSQL += string.Format(" AND E.APPROVALCODE = {0}", (int)ClsExcute.ApprovalListNo.DRWorkApproval);
+                strSQL += " AND E.ORDERNO = 1 AND E.SEQNO = 1";
+                strSQL += string.Format(" AND E.APPROVALSTATUS = {0}", (int)CommonDefine.ApprovalStatus.Approval);
+                strSQL += " WHERE";
+                if (CommonMotions.LoginUserData.PersonCode != CommonDefine.AdminCode)
+                {
+                    strSQL += " A.DEPARTMENTCODE IN (SELECT DEPARTMENTCODE FROM PERSONDEPARTMENTMASTER F";
+                    strSQL += string.Format(" WHERE F.PERSONCODE = {0})", CommonMotions.LoginUserData.PersonCode);
+                    strSQL += " AND";
+                }
+                strSQL += string.Format(" A.EMPLOYEECLASSFLG = {0} AND A.DELETEFLG = 0", (int)CommonDefine.EmployeeClassFlg.Regular);
+                strSQL += string.Format(" AND A.EMPLOYEECLASSFLG = {0} AND A.DELETEFLG = 0", (int)CommonDefine.EmployeeClassFlg.Regular);
+                strSQL += " ORDER BY A.DISPLAYORDER ASC";
+
+                DataGridView dgv = dgvList;
+                ArrayList arData = new ArrayList();
+                if (!AttDayDB.ExecuteReader(strSQL, ref arData)) return;
+                string[] strDisp = new string[3];
+                int DispNo = 1;
+                foreach (object[] objRec in arData)
+                {
+                    Array.Clear(strDisp, 0, 3);
+                    if (CommonMotions.cnvInt(objRec[4]) == 0) strDisp[0] = "×";
+                    else strDisp[0] = "○";
+                    if (CommonMotions.cnvInt(objRec[5]) == 0) strDisp[1] = "×";
+                    else strDisp[1] = "○";
+                    if (CommonMotions.cnvInt(objRec[6]) == 0) strDisp[2] = string.Empty;
+                    else strDisp[2] = "済";
+
+                    dgv.Rows.Add(CommonMotions.cnvInt(objRec[2]),
+                                DispNo++,
+                                CommonMotions.cnvString(objRec[1]),
+                                CommonMotions.cnvString(objRec[3]),
+                                strDisp[0],
+                                strDisp[1],
+                                strDisp[2]
+                                );
+                }
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                if (21 > dgvList.RowCount) dgvList.RowCount += (21 - dgvList.RowCount);
+                AttDayDB.close(); AttDayDB = null;
+            }
+        }
+        #endregion
+    }
+}
